libzypp 17.37.10

zypp::filter::ByKind Class Reference

Filter solvables according to their kind. More...

`#include <zypp/Filter.h>`

## Public Member Functions
| ByKind ()
| ByKind (ResKind kind_r)
bool | operator() (const sat::Solvable &solv_r) const
| Filter on Solvable.
template<class TSolv>
bool | operator() (const TSolv &solv_r) const
| Filter fitting PoolItem/ResObject.

## Private Attributes
ResKind | _kind

## Related Symbols
(Note that these are not member symbols.)
template<class TRes>
ByKind | byKind ()
| templated convenience ctor.

## Detailed Description

Filter solvables according to their kind.

Definition at line 106 of file Filter.h.

## Constructor & Destructor Documentation

## ◆ ByKind() [1/2]

zypp::filter::ByKind::ByKind | ( |  | ) |
| inline

Definition at line 109 of file Filter.h.

## ◆ ByKind() [2/2]

zypp::filter::ByKind::ByKind | ( | ResKind | kind_r | ) |
| inline

Definition at line 112 of file Filter.h.

## Member Function Documentation

## ◆ operator()() [1/2]

bool zypp::filter::ByKind::operator() | ( | const sat::Solvable & | solv_r | ) | const
| inline

Filter on Solvable.

Definition at line 118 of file Filter.h.

## ◆ operator()() [2/2]

template<class TSolv>

bool zypp::filter::ByKind::operator() | ( | const TSolv & | solv_r | ) | const
| inline

Filter fitting PoolItem/ResObject.

Definition at line 123 of file Filter.h.

## Friends And Related Symbol Documentation

## ◆ byKind()

template<class TRes>

ByKind byKind | ( |  | ) |
| related

templated convenience ctor.

Definition at line 132 of file Filter.h.

## Member Data Documentation

## ◆ _kind

ResKind zypp::filter::ByKind::_kind
| private

Definition at line 127 of file Filter.h.

The documentation for this class was generated from the following file:

- zypp/Filter.h